Você não está autenticado.

Anúncio

Arch Linux Brasil está precisando de sua colaboração para realizar o pagamento do domínio e do host, para colaborar, realizar doações via paypal.

Para mais informações: contato at archlinux-br.org.

#1 22/11/2018 10:52:12

rafaelff
Admin
Registrado: 24/10/2018
Mensagens: 2

rerankmirrors - atualiza e reordena melhores mirrors brasileiros

Script simples e curto que baixa a lista de mirrors brasileiros oficiais do Arch Linux e reordena-os usando rankmirrors (em negrito, o que originou o nome do script).

Uso

  • Basta executá-lo sem argumentos

Requisitos

  1. Acesso à Internet, para que o script baixe a lista de mirrors atualizada do gerador de mirrorlists do Arch Linux

  2. Instalar: pacman-contrib (para o rankmirrors), wget e, opcionalmente, sudo (recomendado)

#!/bin/bash
# Reorder Arch mirrors with best times first

set -e

if ! $(which wget &>/dev/null); then
    echo "'wget' not found but required for downloading mirrorlist"
    echo "Please make sure 'wget' package is installed"
    echo ""
    exit 1
fi

if ! $(which rankmirrors &>/dev/null); then
    echo "'rankmirrors' not found but required for ranking the mirrorlist"
    echo "Please make sure 'pacman-contrib' package is installed"
    echo ""
    exit 1
fi


arqtmp=$(mktemp)
ranked=$(mktemp)

wget -q https://www.archlinux.org/mirrorlist/?country=BR -O $arqtmp

sed -i 's/^#Server/Server/' $arqtmp

rankmirrors --verbose $arqtmp | tee $ranked

# if sudo is available, update mirrorlist;
# otherwise, don't update and tell the user.
if $(which sudo &>/dev/null); then

    sudo install -Dm644 -oroot -groot $ranked /etc/pacman.d/mirrorlist
    echo ""
    echo "Successfully updated /etc/pacman.d/mirrorlist"
    echo ""

else

    echo ""
    echo "info: mirrorlist NOT updated yet, because 'sudo' was not found!"
    echo "info: please move the file \"$ranked\" to /etc/pacman.d/mirrorlist"
    echo ""
 
fi

Offline

#2 17/01/2019 00:38:40

slackbeck
Membro
Registrado: 05/09/2018
Mensagens: 29

Re: rerankmirrors - atualiza e reordena melhores mirrors brasileiros

Amigo, aqui no Brasil tem tipo uns 6 servidores de espelhos... Para que automatizar uma tarefa tão simples... Tem uns 3 servidores que são podres, a não ser s evocê mora do lado deles em alguns estados, então sobra tipo uma lista com 3 ou 4 opções.. Melhores são da Unicamp e UFPR... Outros bons tb, UFSC e UFSCAR...Acho que são esses os bons..

Offline

Rodapé do site